问答 2024-06-25 来自:开发者社区

RocketMQ 5.x 之后的新 api 不支持 4.x 的广播模式消费是出于什么原因呀?

RocketMQ 5.x 之后的新 api 不支持 4.x 的广播模式消费是出于什么原因呀?

问答 2024-01-04 来自:开发者社区

4.x版本,RocketMQ消费者的个数,与topic的队列个数,有没有关系消费者个数如果大于队列?

4.x版本,RocketMQ消费者的个数,与topic的队列个数,有没有关系,消费者个数如果大于队列个数,多的消费者会不会出现消费不到消息的情况?

RocketMQ 5.0学习资料

7 课时 |
91 人已学 |
免费

Apache RocketMQ:如何从互联网时代演进到云

1 课时 |
268 人已学 |
免费

带您快速了解阿里云消息队列RocketMQ 5.0版

5 课时 |
1292 人已学 |
免费
开发者课程背景图
问答 2023-12-17 来自:开发者社区

咨询个RocketMQ版本维护的问题,想问下4.x版本的更新维护截止日期是什么时候?

咨询个RocketMQ版本维护的问题,目前生产使用的是4.x的最新版4.9.7,想问下4.x版本的更新维护截止日期是什么时候?现在是否有必要一定升级到5.x版本?能提供下原始的网址链接吗?

问答 2023-10-30 来自:开发者社区

现在好像世面上的介绍rocketmq的书都是4.x的,好像没有基于5.x的?

现在好像世面上的介绍rocketmq的书都是4.x的 好像没有基于5.x的?

问答 2023-10-17 来自:开发者社区

RocketMQ有用于把4.x版本的rocketmq迁移到5.x版本的工具或者开源项目吗?

RocketMQ有用于把4.x版本的rocketmq迁移到5.x版本的工具或者开源项目吗?把数据从4.x迁移到5.x是不支持吗?

问答 2023-10-17 来自:开发者社区

RocketMQ试了下用4.x的example代码发消息到5.x版本的rocketmq显示响应超时?

RocketMQ试了下用4.x的example代码发消息到5.x版本的rocketmq显示响应超时在测试兼容性。用4.x的代码访问一直报如下错误:java.lang.IllegalStateException: org.apache.rocketmq.remoting.exception.RemotingTimeoutException: wait response on the channel....

问答 2023-10-17 来自:开发者社区

RocketMQ可以兼容4.x 和5.0版本吗,还是4.x版本有另外的地址?

RocketMQ我找了下https://github.com/apache/rocketmq-connect 这个网址,可以兼容4.x 和5.0版本吗,还是4.x版本有另外的地址?我这边场景主要是,如果旧4.9.7 版本 dledger 的集群出现问题,后如果短时间无法启动,可以将数据导入到新的4.9.7 dledger 集群,进行数据迁移后继续使用 ,没有用到5.0 proxy这种方式支持吗?

文章 2023-10-11 来自:开发者社区

RocketMQ 5.0 VS RocketMQ 4.x 变化知多少?

RocketMQ 5.0 VS RocketMQ 4.x 变化知多少?今天来介绍一下 RocketMQ 5.0 源码上的变化。RocketMQ 5.0 是一个里程碑式的版本,经历了近 5 年的打磨,代码变更达到 60%。首先看一下源码中模块的变化,如下图:从图中可以看到,RocketMQ 5.0 主要增加了 4 ...

RocketMQ 5.0 VS RocketMQ 4.x 变化知多少?
问答 2023-09-27 来自:开发者社区

RocketMQ 4.x升级到5.x有啥平滑的办法吗?

RocketMQ 4.x升级到5.x有啥平滑的办法吗?我们现在首先看的是broker怎么升级,不知道4.8客户端跟5.x可兼容?

问答 2023-09-20 来自:开发者社区

rocketmq dashboard master最新代码,是不是对4.x的集群支不友好?

rocketmq dashboard master最新代码打出来的分支是基于5.x的rocketmq包,是不是对4.x的rocketmq集群支持不友好?接口老是超时

本页面内关键词为智能算法引擎基于机器学习所生成,如有任何问题,可在页面下方点击"联系我们"与我们沟通。